package com.yd.dal.service.agms;

import com.yd.api.agms.vo.dashboard.StatisticsPractitionerInfo;
import com.yd.api.agms.vo.dashboard.StatisticsSalesInfo;
import com.yd.dal.entity.agms.dashboard.StatisticsOpportunityInfo;
import com.yd.dal.entity.agms.dashboard.StatisticsPEPInfo;
import com.yd.dal.entity.practitioner.PersonalOffLineFYC;

import java.util.List;

public interface AgmsDashboardDALService {
    List<StatisticsPEPInfo> statisticsPEP(String type,Long dropOptionId);

    List<StatisticsOpportunityInfo> statisticsOpportunity(String type,String time, Long id);

    List<StatisticsSalesInfo> statisticsSalesYD(String type, String time);

    List<StatisticsPractitionerInfo> statisticsPractitioner(String type);

    List<StatisticsSalesInfo> statisticsSalesEG(String type, String time);

    List<PersonalOffLineFYC> offLineFYC(List<String> mobileNoList);
}
